[SA13414] PHP Gift Registry "message" Cross-Site Scripting Vulnerabilities

2004-12-11T00:00:00
ID SECURITYVULNS:DOC:7312
Type securityvulns
Reporter Securityvulns
Modified 2004-12-11T00:00:00

Description

TITLE: PHP Gift Registry "message" Cross-Site Scripting Vulnerabilities

SECUNIA ADVISORY ID: SA13414

VERIFY ADVISORY: http://secunia.com/advisories/13414/

CRITICAL: Less critical

IMPACT: Cross Site Scripting

WHERE: >From remote

SOFTWARE: PHP Gift Registry 1.x http://secunia.com/product/4369/

DESCRIPTION: Some vulnerabilities have been reported in PHP Gift Registry, which can be exploited by malicious people to conduct cross-site scripting attacks.

Input passed to the "message" parameter in "event.php" and "index.php" is not sufficiently sanitised before being returned to the user. This can be exploited to execute arbitrary HTML or script code in a user's browser session in context of a vulnerable site.

The vulnerability has been reported in version 1.3.5. Other versions may also be affected.

SOLUTION: Update to version 1.4.0. http://sourceforge.net/project/showfiles.php?group_id=110846

PROVIDED AND/OR DISCOVERED BY: Reported by vendor.


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.